export interface StroganoffOptions {
    uuid?: boolean;
    numbers?: number;
    upper?: number;
    minLen?: number;
    maxLen?: number;
    special?: number;
    validMessage?: string;
    invalidMessage?: string;
    specific?: boolean;
}
interface Specific {
    uuid?: boolean;
    minLen?: boolean;
    maxLen?: boolean;
    numbers?: boolean;
    upper?: boolean;
    special?: boolean;
}
export interface StroganoffResult {
    valid: boolean;
    message: string;
    specific?: Specific;
}
export default class Stroganoff {
    expression: RegExp;
    upperExpression: RegExp;
    specialExpression: RegExp;
    numberExpression: RegExp;
    uuid: boolean;
    numbers: number;
    upper: number;
    minLen: number;
    maxLen: number;
    special: number;
    validMessage: string;
    invalidMessage: string;
    specific: boolean;
    constructor({ uuid, numbers, upper, minLen, maxLen, special, validMessage, invalidMessage, specific, }: StroganoffOptions);
    private validateUUID;
    validate(input: string): StroganoffResult;
}
export {};
